Datei herunterladen
GET
/v1/mailboxes/{mailbox_id}/files/{file_id}/downloadDie Antwort enthält Dateibytes mit Content-Disposition: attachment.. Der Link erfordert eine Autorisierung bei jeder Anfrage; Der öffentliche Speicher URL wird nicht ausgegeben.
Berechtigungs- und Zugangsbereiche · Fehler und Wiederholungen
Anfrage
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files/<file_id>/download' \ -H 'Authorization: Bearer <access_token>'Optionen
mailbox_idpathUnbedingtintegerfile_idpathUnbedingtstring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Antworten
200 Erfolgreiche Antwort
application/octet-stream
string · binary
401 Anmeldung erforderlich
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
403 Kein Zugriff
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
404 Ressource nicht gefunden
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
409 Staatskonflikt
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
422 Validierungsfehler
application/json
object
detailarrayArray-ElementeobjectlocUnbedingtarrayArray-ElementeOption 1stringOption 2integermsgUnbedingtstringtypeUnbedingtstring
503 Vorübergehende Nichtverfügbarkeit
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject